We've released yet another incremental update for Bolt. Version 1.0.3 fixes a few minor quirks and issues. The changelog is:

  • Added: Removed our own transliteration code, using URLify instead. Allows for much better slugs for non-western european languages.
  • Added: Bolt now shows an error message if magic_quotes_gpc is enabled ("Magic quotes" were deprecated in PHP 5.3)
  • Added: An extra check for PHP 5.2 -> Don't even attempt to load the 'lowlevelchecks', just throw an error and exit.
  • Change: Tidied up the default .yml files a bit
  • Fixed: On some servers the results from the frontend controllers were cached. This was fixed.
  • Fixed: Minor error in displaying 'relations' in the frontend.
  • Fixed: Additional minor error in displaying 'taxonomies' in the frontend.
  • Fixed: For 'datetime' fields where the time wasn't set, localdate() now works properly.

To upgrade an existing install, or to setup a new one, just follow the instructions. When you do an upgrade, you will not overwrite your modified settings with the upgrade. You should still make a backup before doing an upgrade, though. Get the latest .tgz or .zip, or browse the folder with the distributions.

comments powered by Disqus